Plesk\backup\Agent\Schema\Backup\Sysuser\SysuserAType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        home:
            expose: true
            access_type: public_method
            serialized_name: home
            accessor:
                getter: getHome
                setter: setHome
            xml_attribute: true
            type: string
        quota:
            expose: true
            access_type: public_method
            serialized_name: quota
            accessor:
                getter: getQuota
                setter: setQuota
            xml_attribute: true
            type: string
        shell:
            expose: true
            access_type: public_method
            serialized_name: shell
            accessor:
                getter: getShell
                setter: setShell
            xml_attribute: true
            type: string
        password:
            expose: true
            access_type: public_method
            serialized_name: password
            xml_element:
                cdata: false
            accessor:
                getter: getPassword
                setter: setPassword
            type: Plesk\backup\Agent\Schema\Backup\Password
        cron:
            expose: true
            access_type: public_method
            serialized_name: cron
            xml_element:
                cdata: false
            accessor:
                getter: getCron
                setter: setCron
            type: Plesk\backup\Agent\Schema\Backup\Cron
        scheduledTasks:
            expose: true
            access_type: public_method
            serialized_name: scheduled-tasks
            xml_element:
                cdata: false
            accessor:
                getter: getScheduledTasks
                setter: setScheduledTasks
            type: array<Plesk\backup\Agent\Schema\Backup\ScheduledTasks\ScheduledTasksAType\ScheduledTaskAType>
            xml_list:
                inline: false
                entry_name: scheduled-task
                skip_when_empty: true
        dataModification:
            expose: true
            access_type: public_method
            serialized_name: data-modification
            xml_element:
                cdata: false
            accessor:
                getter: getDataModification
                setter: setDataModification
            xml_list:
                inline: true
                entry_name: data-modification
            type: array<Plesk\backup\Agent\Schema\Backup\DataModification>
